## automake input file for WINGs

AUTOMAKE_OPTIONS =

SUBDIRS = WINGs wings-rs wings-rs-tests . po Documentation Resources
DIST_SUBDIRS = $(SUBDIRS) Tests Examples Extras

libWINGs_la_LDFLAGS = -version-info @WINGS_VERSION@
libWUtil_la_LDFLAGS = -version-info @WUTIL_VERSION@

lib_LTLIBRARIES = libWUtil.la libWINGs.la

wraster = $(top_builddir)/wrlib/libwraster.la

LDADD= libWUtil.la libWINGs.la $(wraster) @INTLIBS@
libWINGs_la_LIBADD = libWUtil.la $(wraster) @XLIBS@ @XFT_LIBS@ @FCLIBS@ @LIBM@ @PANGO_LIBS@

EXTRA_DIST = BUGS make-rgb Examples Extras Tests



# wbutton.c
libWINGs_la_SOURCES = 	\
	configuration.c \
	dragcommon.c \
	dragdestination.c \
	dragsource.c \
	rgb.h \
	selection.c \
	wappresource.c \
	wballoon.c \
	wbox.c \
	wbrowser.c \
	wbutton.c \
	wcolorpanel.c \
	wcolorwell.c \
	wconfig.h \
	wevent.c \
	wfilepanel.c \
	wframe.c \
	widgets.c \
	winputmethod.c \
	wlabel.c \
	wlist.c \
	wmenuitem.c \
	wmisc.c \
	wpanel.c \
	wpixmap.c \
	wpopupbutton.c \
	wprogressindicator.c \
	wruler.c \
	wscroller.c \
	wscrollview.c \
	wslider.c \
	wsplitview.c \
	wtabview.c \
	wtext.c \
	wtextfield.c \
	wview.c \
	wwindow.c

libWUtil_la_SOURCES = 	\
	error.c \
	error.h \
	findfile.c \
	menuparser.c \
	menuparser.h \
	menuparser_macros.c \
	misc.c \
	proplist.c \
	userdefaults.c \
	userdefaults.h \
	usleep.c \
	wapplication.c \
	wconfig.h


AM_CFLAGS = @PANGO_CFLAGS@

AM_CPPFLAGS = -DRESOURCE_PATH=\"$(datadir)/WINGs\" \
	 -I$(top_srcdir)/WINGs/WINGs -I$(top_builddir)/WINGs/WINGs \
	 -I$(top_builddir)/wrlib -I$(top_srcdir)/src \
	@XFT_CFLAGS@ @HEADER_SEARCH_PATH@

pkgconfigdir = $(libdir)/pkgconfig
pkgconfig_DATA = WINGs.pc WUtil.pc

DISTCLEANFILES = $(pkgconfig_DATA)

WINGs.pc: Makefile
	@echo "Generating $@"
	@echo 'Name: WINGs' > $@
	@echo 'Description: Small widget set with the NeXTStep(TM) look and feel' >> $@
	@echo 'Version: $(VERSION)' >> $@
	@echo 'Requires: wrlib WUtil' >> $@
	@echo 'Libs: $(lib_search_path) -lWINGs' >> $@
	@echo 'Libs.private: $(XFT_LIBS) $(PANGOLIBS) $(XLIBS) -lm $(INTLIBS)' >> $@
	@echo 'Cflags: $(inc_search_path) @PANGO_CFLAGS@' >> $@

WUtil.pc: Makefile
	@echo "Generating $@"
	@echo 'Name: WUtil' > $@
	@echo 'Description: Utility library for WINGs' >> $@
	@echo 'Version: $(VERSION)' >> $@
	@echo 'Libs: -L$(libdir) -lWUtil' >> $@
	@echo 'Libs.private: $(INTLIBS)' >> $@
	@echo 'Cflags: -I$(includedir)' >> $@
